<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="Mark Otto, Jacob Thornton, and Bootstrap contributors">
    <meta name="generator" content="Jekyll v4.1.1">
    <title>Login</title>
    <link rel="canonical" href="">
    <!-- Bootstrap core CSS -->
    <link rel="stylesheet" href="/css/bootstrap.min.css">
    <style>
        html,
        body {
            height: 100%;
        }
        
        body {
            display: -ms-flexbox;
            display: flex;
            -ms-flex-align: center;
            align-items: center;
            padding-top: 40px;
            padding-bottom: 40px;
            background-color: #f5f5f5;
        }
        
        .form-signin {
            width: 100%;
            max-width: 330px;
            padding: 15px;
            margin: auto;
        }
        
        .form-signin .checkbox {
            font-weight: 400;
        }
        
        .form-signin .form-control {
            position: relative;
            box-sizing: border-box;
            height: auto;
            padding: 10px;
            font-size: 16px;
        }
        
        .form-signin .form-control:focus {
            z-index: 2;
        }
        
        .form-signin input[type="email"] {
            margin-bottom: -1px;
            border-bottom-right-radius: 0;
            border-bottom-left-radius: 0;
        }
        
        .form-signin input[type="password"] {
            margin-bottom: 10px;
            border-top-left-radius: 0;
            border-top-right-radius: 0;
        }
        
        .bd-placeholder-img {
            font-size: 1.125rem;
            text-anchor: middle;
            -webkit-user-select: none;
            -moz-user-select: none;
            -ms-user-select: none;
            user-select: none;
        }
        
        @media (min-width: 768px) {
            .bd-placeholder-img-lg {
                font-size: 3.5rem;
            }
        }
    </style>
    <!-- Custom styles for this template -->
</head>

<body class="text-center">
    <form class="form-signin">
        <img class="mb-4" src="https://xsis.academy/wp-content/uploads/2017/07/logo-Xsis-Academy_etg.png" alt="" width="72" height="72">
        <h1 class="h3 mb-3 font-weight-normal">Login</h1>
        <label for="inputEmail" class="sr-only">Email address</label>
        <input type="email" class="form-control" placeholder="Email" required="required" id="email">
        <label for="inputPassword" class="sr-only">Password</label>
        <input type="password" class="form-control" placeholder="Password" required="required" id="password">
        <button type="button" class="btn btn-primary btn-block" onclick="login()">Log in</button>
    </form>

</body>
<script src="/js/jquery-3.5.1.min.js"></script>



<script>
    function login() {
        var formData = '{';
        formData += '"email":"' + $('#email').val() + '",';
        formData += '"password":"' + $('#password').val() + '"';
        formData += '}';

        //console.log(formData)

        $.ajax({
            url: '/api/validate/',
            type: 'post',
            contentType: 'application/json',
            data: formData,
            success: function(data) {
                console.log(data)
                window.location.href = "/cuti/index"
            },
            error: function() {
                console.log("error")
                $('#pesan-status').append("<p class='text-warning'>Email/Password Tidak Sesuai</p>")
            }
        });
    }
</script>

</html>